#ifndef __GSM_TYPES_H__
#define __GSM_TYPES_H__

#define WP_MAX_CARDS (16)
#define WP_MAX_CARD_PORTS (16)
#define WP_MAX_PORTS  (WP_MAX_CARDS*WP_MAX_CARD_PORTS)

//#define PORT_MGMT_MAX_DATA_SIZE (8188)

typedef unsigned __int16 uint16_t;
typedef unsigned __int32 uint32_t;
typedef unsigned __int8 uint8_t;

#if 0
typedef struct {
	int card_model;			/* A101/A102/A104/A108..... */
	int firmware_version;
	int pci_bus_number;
	int pci_slot_number;
	int max_hw_ec_chan;		/* Number of HW EC channels. 0 means not installed. */
	int port_number;		
	uint32_t chans_map;
	uint32_t fxo_map;
	uint32_t fxs_map;
	int max_chans_number;
} hardware_info_t;
#endif

typedef struct {
	uint16_t wp_number;
	hardware_info_t wp_hw_info;
	/* configurations stay here */
	wanpipe_port_cfg_t wp_hw_cfg;
} sangoma_hw_port_t;

typedef struct {
	sangoma_hw_port_t ports[WP_MAX_PORTS];
	uint16_t port_numbers;
} sangoma_hw_ports;

#if 0
typedef struct {
	uint32_t command_code;
	uint32_t operation_status;
	uint8_t port_no;
	uint8_t data[PORT_MGMT_MAX_DATA_SIZE];
} port_management_struct_t;
#endif


#define ERR_PRINT printf

#endif